Package: groovy.swing.factory

## [Groovy] Class RichActionWidgetFactory

- groovy.swing.factory.RichActionWidgetFactory

-     class RichActionWidgetFactory
      extends AbstractFactory

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Class[]` | `ACTION_ARGS`
    `static Class[]` | `ICON_ARGS`
    `static Class[]` | `STRING_ARGS`
    `Constructor` | `actionCtor`
    `Constructor` | `iconCtor`
    `Class` | `klass`
    `Constructor` | `stringCtor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RichActionWidgetFactory(Class klass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Property Detail

    - #### static final Class[] ACTION_ARGS

    - #### static final Class[] ICON_ARGS

    - #### static final Class[] STRING_ARGS

    - #### final Constructor actionCtor

    - #### final Constructor iconCtor

    - #### final Class klass

    - #### final Constructor stringCtor

  - ### Constructor Detail

    - #### RichActionWidgetFactory(Class klass)

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)